{#
# Solutions Point Of Sale Template
# ---------------
#
#}

{# ----- Import Any Required Macros ----- #}


{# ----- Prepare Data ----- #}


{% set pTitle = "Toast POS" %}
{% extends "layouts/_posLayout" %}
{% import 'components/_macros' as atoms %}

{% set pageSlug = craft.request.getSegment(2) %}
{% set entry = craft.entries.section('products').slug(pageSlug).one() %}


{# ----- Build Data ----- #}


{% set blocks = entry.general.all() %}
{% set offset = 0 %}
{% set bg = '' %}
{% block content %}
	<main class="point-of-sale">
		<section class="hero">
			<div>
				<p>
					{% include "components/svg/breadcrumb-logo.svg" %}
					<span style="padding: 0 10px;">/</span>
					{{entry.section.handle|capitalize}}
					<span style="padding: 0 10px;">/</span>
					{{ entry.title }}
				</p>
				{% for block in blocks %}
					{% if loop.index == 1 %}
						{% if block.class | length %}
							<div class="{{ block.class }}">
						{% endif %}
						{{ block.richText }}
						{% if block.class | length %}
							</div>
						{% endif %}
					{% endif %}
				{% endfor %}
			</div>
			{% for block in blocks %}
				{% if loop.index == 2 %}
					{% set image = block.image.one() %}
					<img src="{{image.getUrl()}}" alt="{{image.title}}" {% if block.class|length %} class="{{ block.class }}" {%
						endif %} {% if block.style|length %} style="{{ block.style }}" {% endif %}>
				{% endif %}
			{% endfor %}
		</section>
		{% for block in blocks %}
			{% if loop.index == 3 %}
				{% set image = block.image.one() %}
				{% set bg = image.getUrl() %}
			{% endif %}
		{% endfor %}
		<section class="s2" style="background-image:url({{ bg }});">
			{% for block in blocks %}
				{% if loop.index == 4 %}
					{% if block.class | length %}
						<div class="{{ block.class }}">
					{% endif %}
					{{ block.richText }}
					{% if block.class | length %}
						</div>
					{% endif %}
				{% endif %}
			{% endfor %}
			<figure class="cardMed flex center padded">
				{% for block in blocks %}
					{% if loop.index == 5 %}
						{% set image = block.image.one() %}
						<img src="{{image.getUrl()}}" alt="{{image.title}}" {% if block.class|length %} class="{{ block.class }}" {% endif %} {% if block.style | length %} style="{{ block.style }}"{% endif %}>
					{% endif %}
					{% if loop.index == 6 or loop.index == 7 or loop.index == 8 %}
						{% set image = block.icon.one() %}
						{{atoms.iconCTA(image.getUrl(), image.title, block.subheader, block.body)}}
					{% endif %}
				{% endfor %}
			</figure class="flex center">
			<figure class="padded">
				<div class="overlay">
					{% for block in blocks %}
						{% if loop.index == 9 %}
							{% set image = block.image.one() %}
							<img src="{{image.getUrl()}}" alt="{{image.title}}" {% if block.class|length %} class="{{ block.class }}" {% endif %} {% if block.style | length %} style="{{ block.style }}"{% endif %}>
						{% endif %}
					{% endfor %}
					<div class="overlay-text">
						{% for block in blocks %}
							{% if loop.index == 10 %}{{ block.plainText }}{% endif %}
							{% if loop.index == 11 %}{{ block.plainText }}{% endif %}
						{% endfor %}
					</div>
				</div>
			</figure>

		</section>
	</main>
{% endblock %}